#include <stdio.h>

void showArray(int data[], int length) {
  int i;
  for (i = 0; i < length; i++) {
    printf("[%d]", data[i]);
  }
  printf("\n");
}

void bubbleSort(int data[], int length) {
  int n, p, temp;
  for (n = 0; n < length - 1; n++) {
    for (p = length - 1; p > n; p--) {
      if(data[p] < data[p - 1]) {
        temp = data[p];
        data[p] = data[p - 1];
        data[p - 1] = temp;
      }
    }
    showArray(data, length);
  }
}

int main(int argc, char* argv[]) {
  int data[] = { 3, 5, 1, 8, 6, 4, 2, 7 };
  bubbleSort(data, 8);
  return 0;
}
